language: cn
model_unique_abbr: gwcorr_R
version: 1.0
identification:
  docker_image_name: gwmodel:2.4
  docker_run_prefix:
  - /scripts/gwcorr.r
  model_name: 地理加权相关性分析
  semantic: exploratory data analysis
  description: 地理加权相关性分析在充分考虑空间变量异质性的基础上，进行局部尺度的相关性分析。
  category_application: 诊断型
  category_data:
  - 矢量点
  - 矢量面
  keywords:
  - 相关性分析
  - 空间异质性
  - 空间非平稳性
parameter_info:
  parameters:
  - arg_name: f
    param_type: input_data
    name: 矢量空间数据
    description: 带有属性表的矢量数据
    data_type: shp
    data_semantic: join-varselect
  - arg_name: i
    param_type: param
    name: 自变量
    description: 建立地理加权回归模型时选取的自变量
    data_type: str
    data_semantic: independent variable
  - arg_name: k
    param_type: param
    name: 核函数
    description: 用于空间加权的距离衰减核函数
    is_required: false
    data_type: enum
    data_semantic: kernel function
    specification:
      default: gaussian
      enum:
      - gaussian
      - exponential
      - bisquare
      - tricube
      - boxcar
  - arg_name: t
    param_type: param
    name: 带宽类型
    description: "是否采用自适应带宽(即最近邻居数量),若为false则采用空间距离"
    is_required: false
    data_type: bool
    data_semantic: bandwidth type
    specification:
      default: "true"
  - arg_name: b
    param_type: param
    name: 带宽大小
    description: "带宽大小,当带宽类型为True代表最近邻居数量,带宽为false时代表空间距离"
    data_type: float
    data_semantic: bandwidth size
    specification:
      default: 20
      range:
      - "(0,)"
  - arg_name: r
    param_type: output_data
    name: 结果空间数据
    description: "将计算结果以空间数据的形式输出。shp格式,属性表包括:自变量两两对应的局部皮尔逊相关系数和局部斯皮尔曼相关系数值"
    data_type: shp
    data_semantic: result spatial data
application:
  domain: 精细尺度下的探索性数据分析
  objective: 对空间位置点进行局部尺度的相关系数计算，量化表征空间变量之间的局部密切程度特征。
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  mechanism: 地理加权相关性分析在充分考虑空间变量异质性或非平稳性特征的基础上，针对预设的空间位置点进行局部尺度的相关系数计算，以此量化表征空间变量之间的局部密切程度特征
operation:
  usage: 模型参数包括必选参数输入数据、因变量、自变量、带宽大小、输出数据，可选参数核函数、带宽类型。
  exec_example:
  - docker run -v $PWD/data:/data /scripts/gwcorr.r -f /data/gwcorr-example.shp -v PurPrice,FlrArea -k bisquare -t true -b 50000 -r result.shp
  output_display:
  - 制作局部相关系数结果的分层设色图
  - 展示模型诊断信息txt
  license:
  - GPL-2
  - GPL-3
technique:
  language:
  - R
  os:
  - Linux
  - Windows
  parallel: []
  hardware: []
  dependencies:
  - name: GWmodel
    version: 2.2-9
source:
  maintainer: Tianyang Xia
  organization: Wuhan University
  contact: 229857471@qq.com
  repository: https://github.com/GWmodel-Lab
  integrated_softwares:
  - name: GWmodel
    version: 2.2-9
    license: GPL-2
  references:
  - "Lu, B., Charlton, M., Harris, P., et al. 2014. Geographically weighted regression with a non-Euclidean distance metric':' A case study using hedonic house price data. International Journal of Geographical Information Science, 28(4)':'660–681. doi：10.1080/13658816.2013.865739"
